Foxit PDF RDK

Public Member Functions | Static Public Attributes | List of all members
AnnotationSummaryCallback Class Reference
Inheritance diagram for AnnotationSummaryCallback:

## Public Member Functions
| GetCurrentLocaleID ()
| A callback function used to specify current locale ID. More...
| GetLocalFontName ()
| A callback function used to specify the font name used locally. More...
| LoadString (id)
| A callback function used to load a string in local language for a specified case. More...
| Release ()
| A callback function used to release current callback object itself. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Static Public Attributes
static | e_AnnotationSummaryStringIDAuthor
| Enumeration for string ID used to specify the string or prefix in result document when summarizing annotation. More...
static | e_AnnotationSummaryStringIDDate
| Annotations summary string ID: specify the prefix when date information is outputed in result document. Default prefix is "Date:".
static | e_AnnotationSummaryStringIDDocumentTitle
| Annotations summary string ID: specify the document title in result document. Default title is "Summary of comments:".
static | e_AnnotationSummaryStringIDNoAnnotations
| Annotations summary string ID: specify the string used as content in result document when a page does not have any annotation. Default content is "No Annotations.".
static | e_AnnotationSummaryStringIDNumber
| Annotations summary string ID: specify the prefix when number information is outputed in result document. Default prefix is "Number:".
static | e_AnnotationSummaryStringIDPage
| Annotations summary string ID: specify the prefix when page information is outputed in result document. Default prefix is "Page:".
static | e_AnnotationSummaryStringIDPageTitle
| Annotations summary string ID: specify the prefix when page title is outputed in result document. Default string is "Page:".
static | e_AnnotationSummaryStringIDSubject
| Annotations summary string ID: specify the prefix when subject information is outputed in result document. Default prefix is "Subject:".
static | e_AnnotationSummaryStringIDType
| Annotations summary string ID: specify the prefix when annotation type is outputed in result document. Default prefix is "Type:".

## Detailed Description

This class represents a callback object which is used during summarizing annotation to allow user to decide some format/data. All the pure virtual functions in this class are used as callback functions and should be implemented by user. An implemented AnnotationSummaryCallback object can be set to a AnnotationSummary object by function AnnotationSummary.SetCallback.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ GetCurrentLocaleID()

AnnotationSummaryCallback.GetCurrentLocaleID | ( |  | ) |

A callback function used to specify current locale ID.

Locale ID is used to decide locale format for some information, such as date format.

Returns
  A locale ID. Please refer to values starting from e_LocaleIDUnspecified and this should be one of these values. If returned locale ID is not supported, Foxit PDF SDK will use value e_LocaleIDUnspecified by default.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ GetLocalFontName()

AnnotationSummaryCallback.GetLocalFontName | ( |  | ) |

A callback function used to specify the font name used locally.

This function is very useful for user to specify the font used in result document.

Returns
  Font name string. If an empty string is returned, Foxit PDF SDK will use "Helvetica" as default font name. If returned font name is invalid, this name will not take any effect.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ LoadString()

AnnotationSummaryCallback.LoadString | ( | id |  | ) |

A callback function used to load a string in local language for a specified case.

This function is very useful for user to use local language for some string content in result document. By using this function, user can re-write or translate default output strings to local language for specified case in result document. Default output strings for these specified cases can be found in comment for values starting from AnnotationSummaryCallback.e_AnnotationSummaryStringIDAuthor.
Specially, Foxit PDF SDK will add some necessary information/data to the format part in the result document, in order to make content in the result document more useful.

Parameters

  [in] | id | An annotation summary string ID to specify a summary case. Please refer to values starting from AnnotationSummaryCallback.e_AnnotationSummaryStringIDAuthor and this would be one of these values.

Returns
  A string used for the specified case.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ Release()

AnnotationSummaryCallback.Release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Data Documentation

## ◆ e_AnnotationSummaryStringIDAuthor

AnnotationSummaryCallback.e_AnnotationSummaryStringIDAuthor
| static

Enumeration for string ID used to specify the string or prefix in result document when summarizing annotation.

Values of this enumeration can be used alone.

Annotations summary string ID: specify the prefix when author information is outputed in result document. Default prefix is "Author:".

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.